%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%                        
% Nearfield ACoustic HOlography with Sparse regularization (NACHOS)
% Version 1.0                                    
%     
% Copyright 2012 Antoine Peillot*, Franois Ollivier*, Gilles Chardon*, 
%                Laurent Daudet^, Nancy Bertin', Rmi Gribonval"
% 
%                * UMPC - Paris 6
%                ^ Universit Paris Diderot - Paris 7
%                ' CNRS UMR 6074
%                " Inria
%
%
% If you use this code, please cite this article
% "Nearfield Acoustic Holography using sparse regularization and
% compressive sampling principles,"
% G.Chardon, A.Peillot, F.Ollivier, N.Bertin, R.Gribonval, and L.Daudet
% Journal of Acoustical Society of America (JASA), 132, 1521 (2012) 
%                                                                                                  
% This software is a free software distributed under the terms of the GNU 
% Public License version 3 (http://www.gnu.org/licenses/gpl.txt). You can 
% redistribute it and/or modify it under the terms of this licence.                                        
%                                                                                                                                                      
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

install_ack = input('\n\n This operation will last several hours. Are you sure you want to continue ([y]/n)? ','s');

if strcmp(install_ack,'"n"'),
  install_ack = 'n';
end

if install_ack == 'n',
  return;
else
  fprintf('\n\n Now beginning...');

end

init_from_precomputed_spectra;
reproduce_all_figures;